Spell Catcher FAQs & Knowledge Base

Main > Spell Catcher X > Retired (old, irrelevant, non-issues) > Mac OS X 10.5 (Leopard)-Specific  
Mac OS X 10.5 (Leopard)-Specific

Articles
Is Spell Catcher X 10.2.3 Compatible with Mac OS X 10.5 (Leopard)?
Yes! But do yourself a favor and upgrade to Spell Catcher X 10.3. This may or may not be a free upgrade for you, more information is available elsewhere on our site. A go
- 2011-06-05 - Similar Articles

Powered by KnowledgeBuilder